Package Details: spyder-git 5.1.1.r252.g0a86dcdc5-2

Git Clone URL: https://aur.archlinux.org/spyder-git.git (read-only, click to copy)
Package Base: spyder-git
Description: The Scientific Python Development Environment
Upstream URL: https://www.spyder-ide.org/
Licenses: MIT
Conflicts: spyder, spyder3-git
Provides: spyder
Replaces: spyder3-git
Submitter: willemw
Maintainer: willemw
Last Packager: willemw
Votes: 24
Popularity: 0.006106
First Submitted: 2015-02-24 08:52
Last Updated: 2021-08-18 20:29

Dependencies (54)

Required by (5)

Sources (1)

Pinned Comments

willemw commented on 2020-08-05 07:20

Note:

Some dependencies may need to be manually downgraded or upgraded.

Alternatively, try to edit "install_requires" in "setup.py" and the requirements file ("requirements/conda.txt" in the source files or "requires.txt" in the installed files).

Latest Comments

1 2 3 4 5 6 ... Next › Last »

jmd commented on 2021-08-18 22:22

@willemw Thanks, spyder works beautifully after changing the following in /usr/lib/python3.9/site-packages/spyder-6.0.0.dev0-py3.9.egg-info/requires.txt:

pyqt5>5.10
pyqtwebengine>5.10
spyder-kernels>=2.0.5

willemw commented on 2021-08-18 20:33

@jmd: Yes, some dependencies are either too old or too new, according to Spyder.

Some manual action is required to at least start Spyder without errors. See pinned comment.

jmd commented on 2021-08-18 20:12

@willemw Alright with the newest build(5.1.1.r252.g0a86dcdc5-1), this is spyder's output:

Traceback (most recent call last):
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (spyder-kernels 2.0.5 ($HOME.local/lib/python3.9/site-packages), Requirement.parse('spyder-kernels<2.2.0,>=2.1.0'), {'spyder'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/spyder", line 33, in <module>
    sys.exit(load_entry_point('spyder==6.0.0.dev0', 'gui_scripts', 'spyder')())
  File "/usr/bin/spyder", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/spyder/app/start.py", line 47, in <module>
    from spyder.utils.external import lockfile
  File "/usr/lib/python3.9/site-packages/spyder/utils/external/lockfile.py", line 31, in <module>
    from spyder.utils.programs import is_spyder_process
  File "/usr/lib/python3.9/site-packages/spyder/utils/programs.py", line 28, in <module>
    import pkg_resources
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "$HOME.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'spyder-kernels<2.2.0,>=2.1.0' distribution was not found and is required by spyder

willemw commented on 2021-08-18 09:13

@jmd: this package is not built with/for conda.

jmd commented on 2021-08-18 07:08

Spyder seems to segfault for me when I start it up: Commands:

conda activate
spyder

Output:


libGL error: MESA-LOADER: failed to open iris: /opt/anaconda/lib/python3.8/site-packages/zmq/backend/cython/../../../../.././libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /usr/lib/dri/iris_dri.so) (search paths /usr/lib/dri)
libGL error: failed to load driver: iris
libGL error: MESA-LOADER: failed to open iris: /opt/anaconda/lib/python3.8/site-packages/zmq/backend/cython/../../../../.././libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /usr/lib/dri/iris_dri.so) (search paths /usr/lib/dri)
libGL error: failed to load driver: iris
libGL error: MESA-LOADER: failed to open swrast: /opt/anaconda/lib/python3.8/site-packages/zmq/backend/cython/../../../../.././libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /usr/lib/dri/swrast_dri.so) (search paths /usr/lib/dri)
libGL error: failed to load driver: swrast
Fontconfig error: Cannot load default config file
Qt WebEngine ICU data not found at $HOME.cache/yay/anaconda/pkg/anaconda/opt/anaconda/resources. Trying parent directory...
Qt WebEngine ICU data not found at $HOME.cache/yay/anaconda/pkg/anaconda/opt/anaconda. Trying application directory...
Qt WebEngine ICU data not found at /opt/anaconda/libexec. Trying fallback directory... The application MAY NOT work.
Path override failed for key base::DIR_QT_LIBRARY_DATA and path '$HOME.QtWebEngineProcess'
Installed Qt WebEngine locales directory not found at location $HOME.cache/yay/anaconda/pkg/anaconda/opt/anaconda/translations/qtwebengine_locales. Trying application directory...
Qt WebEngine locales directory not found at location /opt/anaconda/libexec/qtwebengine_locales. Trying fallback directory... Translations MAY NOT not be correct.
Path override failed for key ui::DIR_LOCALES and path '$HOME.QtWebEngineProcess'
[0818/000106.456480:ERROR:icu_util.cc(178)] Invalid file descriptor to ICU data received.
[0818/000106.456566:FATAL:content_main_runner.cc(691)] Check failed: base::i18n::InitializeICU().
#0 0x7f175ad700be <unknown>
#1 0x7f175ad826c2 <unknown>
#2 0x7f175ad59068 <unknown>
#3 0x7f175ad54519 <unknown>
#4 0x7f175a70f49a QtWebEngine::processMain()
#5 0x565268770d74 <unknown>
#6 0x7f1758aabb25 __libc_start_main
#7 0x565268770dd4 <unknown>

[53718:53718:0818/000106.587994:FATAL:zygote_host_impl_linux.cc(182)] Check failed: ReceiveFixedMessage(fds[0], kZygoteBootMessage, sizeof(kZygoteBootMessage), &boot_pid).
#0 0x7fe75ce7d0be <unknown>
#1 0x7fe75ce8f6c2 <unknown>
#2 0x7fe75cbf9987 <unknown>
#3 0x7fe75cbf8b07 <unknown>
#4 0x7fe75cbf8e96 <unknown>
#5 0x7fe75c9a39a1 <unknown>
#6 0x7fe75c9a7727 <unknown>
#7 0x7fe75c839542 <unknown>
#8 0x7fe75c839718 <unknown>
#9 0x7fe75c830681 <unknown>
#10 0x7fe75c830732 QtWebEngineCore::WebContentsAdapter::WebContentsAdapter()
#11 0x7fe7645b6376 <unknown>
#12 0x7fe7645b40c4 <unknown>
#13 0x7fe7645b4252 QWebEnginePage::QWebEnginePage()
#14 0x7fe764676689 sipQWebEnginePage::sipQWebEnginePage()
#15 0x7fe764676812 init_type_QWebEnginePage
#16 0x7fe7661ac874 <unknown>
#17 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#18 0x55984d24c545 _PyEval_EvalFrameDefault
#19 0x55984d21a270 _PyEval_EvalCodeWithName.localalias.4
#20 0x55984d21bbfb _PyObject_Call_Prepend
#21 0x55984d21bf9a slot_tp_init
#22 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#23 0x55984d24c545 _PyEval_EvalFrameDefault
#24 0x55984d21be3f _PyObject_Call_Prepend
#25 0x55984d21bf9a slot_tp_init
#26 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#27 0x55984d24c545 _PyEval_EvalFrameDefault
#28 0x55984d21be3f _PyObject_Call_Prepend
#29 0x55984d21bf9a slot_tp_init
#30 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#31 0x55984d24c545 _PyEval_EvalFrameDefault
#32 0x55984d21a270 _PyEval_EvalCodeWithName.localalias.4
#33 0x55984d21b0a3 _PyFunction_Vectorcall.localalias.352
#34 0x55984d21bc71 _PyObject_Call_Prepend
#35 0x55984d21bf9a slot_tp_init
#36 0x55984d1c4d2e _PyObject_MakeTpCall.localalias.6
#37 0x55984d24d2ab _PyEval_EvalFrameDefault
#38 0x55984d21a821 _PyEval_EvalCodeWithName.localalias.4
#39 0x55984d21b480 method_vectorcall
#40 0x55984d184a61 _PyEval_EvalFrameDefault.cold.2825
#41 0x55984d21afcb _PyFunction_Vectorcall.localalias.352
#42 0x55984d1845db _PyEval_EvalFrameDefault.cold.2825
#43 0x55984d21afcb _PyFunction_Vectorcall.localalias.352
#44 0x55984d184a61 _PyEval_EvalFrameDefault.cold.2825
#45 0x55984d21afcb _PyFunction_Vectorcall.localalias.352
#46 0x55984d1845db _PyEval_EvalFrameDefault.cold.2825
#47 0x55984d21a270 _PyEval_EvalCodeWithName.localalias.4
#48 0x55984d2af543 PyEval_EvalCode
#49 0x55984d2af5e4 run_eval_code_obj
#50 0x55984d2d5854 run_mod
#51 0x55984d196390 pyrun_file
#52 0x55984d1990d2 PyRun_SimpleFileExFlags.localalias.16
#53 0x55984d199bf0 Py_RunMain.cold.2953
#54 0x55984d2d8a09 Py_BytesMain
#55 0x7fe77d2aeb25 __libc_start_main
#56 0x55984d267fe5 <unknown>

[1]    53718 abort (core dumped)  spyder

NiceMicro commented on 2021-07-13 16:07

@willemw Unfortunately, when installing python-spyder-kernels-git, spyder also didn't work, either with the community package, nor spyder3-git. I am honestly confused why doesn't it.

willemw commented on 2021-07-10 14:27

@NiceMicro: python-spyder-kernels-git is too new or you decided not to use it?

(Usually, you can install either python-spyder-kernels or python-spyder-kernels-git for spyder or spyder3-git.)

NiceMicro commented on 2021-07-10 13:58

@willemw yeah, that bug is what causes me to not use Spyder for 2 months now.

Luckily I saw in the bugreport a new comment, and figured that if I just build spyder-kernels based on the PKGBUILD for the community package, but with the newest version (replace version number and sha in the file and then makepkg -si), and then I install Spyder from the community repo, it works.

@davidovitch maybe this info might be useful for you.

davidovitch commented on 2021-07-04 21:25

Same here, neither the community package or in my pip-based virtual environments it was working at some point. What did work was creating a fresh new pip-based virtual environment and pip install spyder in there (no mini/anaconda). I didn't further dig into why it worked again, or what versions I had installed differently in the old vs the new virtual env.

willemw commented on 2021-07-04 17:43

@NiceMicro: for community/spyder there is a bug, still open: https://bugs.archlinux.org/task/70689. Consider installing Spyder the upstream recommended way (Anaconda)?